#ifndef REASSEMBLY2_H
#define REASSEMBLY2_H

class Reassembly2;
#include <SDL.h>
#include <vector>
#include "Assets.h"
#include "GameObject.h"
#include "InputHandler.h"
#include "BitmapFont.h"

class Reassembly2 {
	private:
	SDL_Window* gWindow;
	std::vector<SDL_Rect*> rainDrops;
	Assets *assets;
	GameObject *obj;
	InputHandler *inputHandler;
	BitmapFont *font;

	void spawnRainDrop();

	public:

	Reassembly2(SDL_Window *gWindow) : gWindow(gWindow) {}
	~Reassembly2();
	void create ();
	void loop(SDL_Event *event, unsigned int delta);
	void update(SDL_Event *event, unsigned int delta);
	void render(unsigned int delta);
	void resize(int width, int height);

};

#endif
